## kfreebsd-9 9.0~svn227451

=== sys/boot/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>
.include <bsd.arch.inc.mk>

.if ${MK_FORTH} != "no"
# Build the add-in FORTH interpreter.
SUBDIR+=		ficl
.endif

# Pick the machine-dependent subdir based on the target architecture.
ADIR=			${MACHINE:S/amd64/i386/:S/powerpc64/powerpc/}
.if exists(${.CURDIR}/${ADIR}/.)
SUBDIR+=		${ADIR}
.endif

.include <bsd.subdir.mk>

=== sys/modules/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

SUBDIR=	${_3dfx} \
	${_3dfx_linux} \
	${_aac} \
	accf_data \
	accf_dns \
	accf_http \
	${_acpi} \
	ae \
	${_aesni} \
	age \
	${_agp} \
	aha \
	${_ahb} \
	ahci \
	${_aic} \
	aic7xxx \
	aio \
	alc \
	ale \
	alq \
	${_amd} \
	${_amdsbwd} \
	${_amdtemp} \
	amr \
	${_an} \
	${_aout} \
	${_apm} \
	${_arcmsr} \
	${_arcnet} \
	${_asmc} \
	${_asr} \
	ata \
	ath \
	ath_pci \
	${_auxio} \
	bce \
	bfe \
	bge \
	${_bxe} \
	${_bios} \
	${_bktr} \
	${_bm} \
	bridgestp \
	bwi \
	bwn \
	cam \
	${_canbepm} \
	${_canbus} \
	${_cardbus} \
	cas \
	${_cbb} \
	cc \
	cd9660 \
	cd9660_iconv \
	${_ce} \
	${_ciss} \
	${_cm} \
	${_cmx} \
	coda \
	coda5 \
	${_coff} \
	${_coretemp} \
	${_cp} \
	${_cpuctl} \
	${_cpufreq} \
	${_crypto} \
	${_cryptodev} \
	${_cs} \
	${_ctau} \
	${_cxgb} \
	cxgbe \
	${_cyclic} \
	dc \
	dcons \
	dcons_crom \
	de \
	${_dpms} \
	${_dpt} \
	${_drm} \
	${_dtrace} \
	dummynet \
	${_ed} \
	${_elink} \
	${_em} \
	en \
	${_ep} \
	${_epic} \
	esp \
	${_et} \
	${_ex} \
	${_exca} \
	${_ext2fs} \
	fatm \
	fdc \
	fdescfs \
	${_fe} \
	firewire \
	firmware \
	fxp \
	gem \
	geom \
	${_glxiic} \
	${_glxsb} \
	hatm \
	hifn \
	hme \
	${_hptiop} \
	${_hptmv} \
	${_hptrr} \
	hwpmc \
	${_i2c} \
	${_ibcs2} \
	${_ichwd} \
	${_ida} \
	${_ie} \
	if_bridge \
	${_if_carp} \
	if_disc \
	if_edsc \
	if_ef \
	if_epair \
	if_faith \
	if_gif \
	${_if_gre} \
	if_lagg \
	${_if_ndis} \
	if_stf \
	if_tap \
	if_tun \
	if_vlan \
	${_igb} \
	${_iir} \
	${_io} \
	ipdivert \
	${_ipfilter} \
	${_ipfw} \
	ipfw_nat \
	${_ipmi} \
	ip_mroute_mod \
	${_ips} \
	${_ipw} \
	${_ipwfw} \
	iscsi \
	isp \
	ispfw \
	${_iwi} \
	${_iwifw} \
	${_iwn} \
	${_iwnfw} \
	${_ixgb} \
	${_ixgbe} \
	jme \
	joy \
	kbdmux \
	kgssapi \
	kgssapi_krb5 \
	khelp \
	krpc \
	ksyms \
	le \
	lge \
	libalias \
	libiconv \
	libmbpool \
	libmchain \
	${_lindev} \
	${_linprocfs} \
	${_linsysfs} \
	${_linux} \
	lmc \
	lpt \
	mac_biba \
	mac_bsdextended \
	mac_ifoff \
	mac_lomac \
	mac_mls \
	mac_none \
	mac_partition \
	mac_portacl \
	mac_seeotheruids \
	mac_stub \
	mac_test \
	malo \
	mcd \
	md \
	mem \
	mfi \
	mii \
	mlx \
	${_mlx4} \
	${_mlx4ib} \
	${_mlxen} \
	${_mly} \
	mmc \
	mmcsd \
	mps \
	mpt \
	mqueue \
	msdosfs \
	msdosfs_iconv \
	${_mse} \
	msk \
	${_mthca} \
	mvs \
	mwl \
	mwlfw \
	mxge \
	my \
	${_ncp} \
	${_ncv} \
	${_ndis} \
	${_netgraph} \
	${_nfe} \
	nfs_common \
	nfscl \
	nfsclient \
	nfscommon \
	nfsd \
	nfslock \
	nfslockd \
	nfsserver \
	nfssvc \
	nge \
	nmdm \
	${_nsp} \
	ntfs \
	ntfs_iconv \
	nullfs \
	${_nve} \
	${_nvram} \
	${_nwfs} \
	${_nxge} \
	${_opensolaris} \
	${_padlock} \
	patm \
	${_pccard} \
	${_pcfclock} \
	pcn \
	${_pf} \
	${_pflog} \
	${_pfsync} \
	plip \
	${_pmc} \
	portalfs \
	ppbus \
	ppc \
	ppi \
	pps \
	procfs \
	pseudofs \
	${_pst} \
	pty  \
	puc \
	${_qlxgb} \
	ral \
	ralfw \
	${_random} \
	rc4 \
	${_rdma} \
	re \
	reiserfs \
	rl \
	runfw \
	${_s3} \
	${_safe} \
	${_sbni} \
	scc \
	scd \
	${_scsi_low} \
	sdhci \
	sem \
	send \
	sf \
	sge \
	siba_bwn \
	siftr \
	siis \
	sis \
	sk \
	${_smbfs} \
	sn \
	${_snc} \
	snp \
	${_sound} \
	${_speaker} \
	${_splash} \
	${_sppp} \
	ste \
	${_stg} \
	stge \
	${_streams} \
	${_svr4} \
	${_sym} \
	${_syscons} \
	sysvipc \
	ti \
	tl \
	tmpfs \
	${_tpm} \
	trm \
	${_twa} \
	twe \
	tws \
	tx \
	txp \
	uart \
	ubsec \
	udf \
	udf_iconv \
	ufs \
	unionfs \
	usb \
	utopia \
	${_vesa} \
	vge \
	vkbd \
	${_vpo} \
	vr \
	vte \
	vx \
	${_vxge} \
	wb \
	${_wi} \
	wlan \
	wlan_acl \
	wlan_amrr \
	wlan_ccmp \
	wlan_rssadapt \
	wlan_tkip \
	wlan_wep \
	wlan_xauth \
	${_wpi} \
	${_wpifw} \
	${_x86bios} \
	${_xe} \
	xfs \
	xl \
	${_zfs} \
	zlib \

.if ${MACHINE_CPUARCH} != "powerpc" && ${MACHINE_CPUARCH} != "arm" && \
	${MACHINE_CPUARCH} != "mips"
_syscons=	syscons
_vpo=		vpo
.endif

.if ${MACHINE_CPUARCH} != "arm" && ${MACHINE_CPUARCH} != "mips"
# no BUS_SPACE_UNSPECIFIED
# No barrier instruction support (specific to this driver)
_sym=		sym
# intr_disable() is a macro, causes problems
_cxgb=		cxgb
.endif

.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
.if exists(${.CURDIR}/../opencrypto)
_crypto=	crypto
_cryptodev=	cryptodev
.endif
.if exists(${.CURDIR}/../crypto)
_random=	random
.endif
.endif

.if ${MK_INET_SUPPORT} != "no" || defined(ALL_MODULES)
_if_gre=	if_gre
.endif

.if (${MK_INET_SUPPORT} != "no" || ${MK_INET6_SUPPORT} != "no") || \
	defined(ALL_MODULES)
_if_carp=	if_carp
.endif

.if ${MK_IPFILTER} != "no" || defined(ALL_MODULES)
_ipfilter=	ipfilter
.endif

.if ${MK_INET_SUPPORT} != "no" || defined(ALL_MODULES)
_ipfw=		ipfw
.endif

.if ${MK_NETGRAPH} != "no" || defined(ALL_MODULES)
_netgraph=	netgraph
.endif

.if (${MK_PF} != "no" && (${MK_INET_SUPPORT} != "no" || \
	${MK_INET6_SUPPORT} != "no")) || defined(ALL_MODULES)
_pf=		pf
_pflog=		pflog
.if ${MK_INET_SUPPORT} != "no"
_pfsync=	pfsync
.endif
.endif

.if ${MACHINE_CPUARCH} == "i386"
# XXX some of these can move to the general case when de-i386'ed
# XXX some of these can move now, but are untested on other architectures.
_3dfx=		3dfx
_3dfx_linux=	3dfx_linux
_agp=		agp
_aic=		aic
_amd=		amd
_an=		an
_aout=		aout
_apm=		apm
_arcnet=	arcnet
_bktr=		bktr
_bxe=		bxe
_cardbus=	cardbus
_cbb=		cbb
_ce=		ce
_coff=		coff
_cp=		cp
_cpuctl=	cpuctl
_cpufreq=	cpufreq
_cs=		cs
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_cyclic=	cyclic
.endif
_dpms=		dpms
_drm=		drm
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_dtrace=	dtrace
.endif
_ed=		ed
_elink=		elink
_em=		em
_ep=		ep
_et=		et
_exca=		exca
_ext2fs=	ext2fs
_fe=		fe
_glxiic=	glxiic
_glxsb=		glxsb
_i2c=		i2c
_ibcs2=		ibcs2
_ie=		ie
_if_ndis=	if_ndis
_igb=		igb
_io=		io
_lindev=	lindev
_linprocfs=	linprocfs
_linsysfs=	linsysfs
_linux=		linux
_mse=		mse
.if ${MK_OFED} != "no" || defined(ALL_MODULES)
_mlx4=		mlx4
_mlx4ib=	mlx4ib
_mlxen=		mlxen
_mthca=		mthca
.endif
.if ${MK_NCP} != "no"
_ncp=		ncp
.endif
_ncv=		ncv
_ndis=		ndis
_nsp=		nsp
.if ${MK_NCP} != "no"
_nwfs=		nwfs
.endif
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
_pccard=	pccard
_pcfclock=	pcfclock
_pst=		pst
_rdma=		rdma
_safe=		safe
_sbni=		sbni
_scsi_low=	scsi_low
_smbfs=		smbfs
_sound=		sound
_speaker=	speaker
_splash=	splash
_sppp=		sppp
_stg=		stg
_streams=	streams
_svr4=		svr4
_vxge=  	vxge
_wi=		wi
_xe=		xe
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.if ${MACHINE} == "i386"
_aac=		aac
_acpi=		acpi
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_aesni=		aesni
.endif
_ahb=		ahb
_amdsbwd=	amdsbwd
_amdtemp=	amdtemp
_arcmsr=	arcmsr
_asmc=		asmc
_asr=		asr
_bios=		bios
_ciss=		ciss
_cm=		cm
_cmx=		cmx
_coretemp=	coretemp
_ctau=		ctau
_dpt=		dpt
_ex=		ex
_hptiop=	hptiop
_hptmv=		hptmv
_hptrr=		hptrr
_ichwd=		ichwd
_ida=		ida
_iir=		iir
_ipmi=		ipmi
_ips=		ips
_ipw=		ipw
_ipwfw=		ipwfw
_iwi=		iwi
_iwifw=		iwifw
_iwn=		iwn
_iwnfw=		iwnfw
_ixgb=		ixgb
_ixgbe=		ixgbe
_mly=		mly
_nfe=		nfe
_nve=		nve
_nvram=		nvram
_nxge=		nxge
_tpm=		tpm
_wpi=		wpi
_wpifw=		wpifw
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_padlock=	padlock
.endif
_s3=		s3
_twa=		twa
_vesa=		vesa
_x86bios=	x86bios
.elif ${MACHINE} == "pc98"
_canbepm=	canbepm
_canbus=	canbus
_pmc=		pmc
_snc=		snc
.endif
.endif

.if ${MACHINE_CPUARCH} == "amd64"
_aac=		aac
_aout=		aout
_acpi=		acpi
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_aesni=		aesni
.endif
_agp=		agp
_an=		an
_amdsbwd=	amdsbwd
_amdtemp=	amdtemp
_arcmsr=	arcmsr
_asmc=		asmc
_bxe=		bxe
_cardbus=	cardbus
_cbb=		cbb
_cmx=		cmx
_ciss=		ciss
_coretemp=	coretemp
_cpuctl=	cpuctl
_cpufreq=	cpufreq
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_cyclic=	cyclic
.endif
_dpms=		dpms
_drm=		drm
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_dtrace=	dtrace
.endif
_ed=		ed
_et=		et
_em=		em
_exca=		exca
_ext2fs=	ext2fs
_hptiop=	hptiop
_hptmv=		hptmv
_hptrr=		hptrr
_i2c=		i2c
_ichwd=		ichwd
_ida=		ida
_if_ndis=	if_ndis
_igb=		igb
_iir=		iir
_io=		io
_ipmi=		ipmi
_ips=		ips
_ipw=		ipw
_ipwfw=		ipwfw
_iwi=		iwi
_iwifw=		iwifw
_iwn=		iwn
_iwnfw=		iwnfw
_ixgb=		ixgb
_ixgbe=		ixgbe
_lindev=	lindev
_linprocfs=	linprocfs
_linsysfs=	linsysfs
_linux=		linux
_mly=		mly
.if ${MK_OFED} != "no" || defined(ALL_MODULES)
_mlx4=		mlx4
_mlx4ib=	mlx4ib
_mlxen=		mlxen
_mthca=		mthca
.endif
_ndis=		ndis
_nfe=		nfe
_nve=		nve
_nvram=		nvram
_nxge=		nxge
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_padlock=	padlock
.endif
_pccard=	pccard
_qlxgb=		qlxgb
_rdma=		rdma	
_s3=		s3
_safe=		safe
_scsi_low=	scsi_low
_smbfs=		smbfs
_sound=		sound
_speaker=	speaker
_splash=	splash
_sppp=		sppp
_tpm=		tpm
_twa=		twa
_vesa=		vesa
_vxge=  	vxge
_x86bios=	x86bios
_wi=		wi
_wpi=		wpi
_wpifw=		wpifw
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if ${MACHINE_CPUARCH} == "ia64"
_aac=		aac
_aic=		aic
_an=		an
_arcnet=	arcnet
_asr=		asr
_bktr=		bktr
_cardbus=	cardbus
_cbb=		cbb
_ciss=		ciss
_cm=		cm
_cmx=		cmx
_coff=		coff
_cpufreq=	cpufreq
_dpt=		dpt
_em=		em
_ep=		ep
_et=		et
_exca=		exca
_fe=		fe
_hptiop=	hptiop
_ida=		ida
_igb=		igb
_iir=		iir
_ips=		ips
_mly=		mly
_pccard=	pccard
_scsi_low=	scsi_low
_smbfs=		smbfs
_sound=		sound
_splash=	splash
_sppp=		sppp
_streams=	streams
_tpm=		tpm
_twa=		twa
_wi=		wi
_xe=		xe
.endif

.if ${MACHINE_CPUARCH} == "powerpc"
_agp=		agp
_an=		an
_bm=		bm
_cpufreq=	cpufreq
_nvram=		powermac_nvram
_smbfs=		smbfs
_sound=		sound
.endif

.if ${MACHINE_ARCH} == "powerpc64"
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if ${MACHINE_CPUARCH} == "sparc64"
_auxio=		auxio
_em=		em
_epic=		epic
_i2c=		i2c
_igb=		igb
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
_smbfs=		smbfs
_sound=		sound
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if defined(MODULES_OVERRIDE) && !defined(ALL_MODULES)
SUBDIR=${MODULES_OVERRIDE}
.endif

.for reject in ${WITHOUT_MODULES}
SUBDIR:= ${SUBDIR:N${reject}}
.endfor

# Calling kldxref(8) for each module is expensive.
.if !defined(NO_XREF)
.MAKEFLAGS+=	-DNO_XREF
afterinstall:
	@if type kldxref >/dev/null 2>&1; then \
		${ECHO} kldxref ${DESTDIR}${KMODDIR}; \
		kldxref ${DESTDIR}${KMODDIR}; \
	fi
.endif

.include <bsd.subdir.mk>

=== sys/modules/3dfx/Makefile ===
# $FreeBSD$

MAINTAINER=	cokane@FreeBSD.org

.PATH: $(.CURDIR)/../../dev/tdfx

KMOD=	3dfx
SRCS=	bus_if.h pci_if.h device_if.h tdfx_pci.h tdfx_io.h\
	tdfx_vars.h tdfx_pci.c
INCSRC=	../../sys

# Uncomment this for debugging messages
#CFLAGS+=	-DDEBUG

.include <bsd.kmod.mk>

=== sys/modules/agp/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../dev/agp

KMOD=	agp
SRCS=	agp.c agp_if.c
.if ${MACHINE_CPUARCH} == "i386"
SRCS+=	agp_i810.c agp_intel.c agp_via.c agp_sis.c agp_ali.c agp_amd.c \
	agp_nvidia.c agp_ati.c
.endif
.if ${MACHINE} == "i386"
SRCS+=	agp_amd64.c
.endif
.if ${MACHINE_CPUARCH} == "amd64"
SRCS+=	agp_amd64.c agp_i810.c agp_via.c
.endif
.if ${MACHINE_CPUARCH} == "powerpc"
SRCS+=  agp_apple.c
.endif
SRCS+=	device_if.h bus_if.h agp_if.h pci_if.h
SRCS+=	opt_agp.h opt_bus.h
MFILES=	kern/device_if.m kern/bus_if.m dev/agp/agp_if.m dev/pci/pci_if.m
WERROR=

EXPORT_SYMS=	agp_find_device		\
		agp_state		\
		agp_acquire		\
		agp_release		\
		agp_enable		\
		agp_alloc_memory	\
		agp_free_memory		\
		agp_bind_memory		\
		agp_unbind_memory	\
		agp_memory_info

.include <bsd.kmod.mk>

=== sys/modules/ath/Makefile ===
#
# Copyright (c) 2002-2008 Sam Leffler, Errno Consulting
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $FreeBSD$
#

ATH_RATE?=	sample		# tx rate control algorithm

.PATH:	${.CURDIR}/../../dev/ath
.PATH:	${.CURDIR}/../../dev/ath/ath_hal

KMOD=	if_ath
SRCS=	if_ath.c if_ath_debug.c if_ath_keycache.c if_ath_sysctl.c
SRCS+=	if_ath_tx.c if_ath_tx_ht.c
# NB: v3 eeprom support used by both AR5211 and AR5212; just include it
SRCS+=	ah_osdep.c ah.c ah_regdomain.c ah_eeprom_v3.c
SRCS+=	device_if.h bus_if.h pci_if.h opt_inet.h opt_ath.h opt_ah.h opt_wlan.h

#
# AR5210 support; these are first generation 11a-only devices.
#
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5210
SRCS+=	ah_eeprom_v1.c \
	ar5210_attach.c ar5210_beacon.c ar5210_interrupts.c \
	ar5210_keycache.c ar5210_misc.c ar5210_phy.c ar5210_power.c \
	ar5210_recv.c ar5210_reset.c ar5210_xmit.c

#
# AR5211 support; these are second generation 11b/g/a devices
# (but 11g was OFDM only and is not supported).
#
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5211
SRCS+=	ar5211_attach.c ar5211_beacon.c ar5211_interrupts.c \
	ar5211_keycache.c ar5211_misc.c	ar5211_phy.c ar5211_power.c \
	ar5211_recv.c ar5211_reset.c ar5211_xmit.c

#
# AR5212 support; this covers all other pci/cardbus legacy parts.
#
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5212
SRCS+=	ar5212_ani.c ar5212_attach.c ar5212_beacon.c ar5212_eeprom.c \
	ar5212_gpio.c ar5212_interrupts.c ar5212_keycache.c ar5212_misc.c \
	ar5212_phy.c ar5212_power.c ar5212_recv.c ar5212_reset.c \
	ar5212_rfgain.c ar5212_xmit.c
# RF backends
SRCS+=	ar5111.c
SRCS+=	ar5112.c
SRCS+=	ar2413.c
SRCS+=	ar2425.c
SRCS+=	ar5413.c

#
# AR5416, AR9130, AR9160, AR9220, AR9280, AR9285 support.

# Note enabling this support requires defining AH_SUPPORT_AR5416
# in opt_ah.h so the 11n tx/rx descriptor format is handled.
#
# NB: 9160 depends on 5416 but 5416 does not require 9160
#
# + 5416 (Owl)
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar5416
SRCS+=	ah_eeprom_v14.c ah_eeprom_v4k.c \
	ar5416_ani.c ar5416_attach.c ar5416_beacon.c ar5416_cal.c \
	ar5416_cal_iq.c ar5416_cal_adcgain.c ar5416_cal_adcdc.c \
	ar5416_eeprom.c ar5416_gpio.c ar5416_interrupts.c ar5416_keycache.c \
	ar5416_misc.c ar5416_phy.c ar5416_power.c ar5416_recv.c \
	ar5416_reset.c ar5416_xmit.c

# RF backend for 5416, 9130 and 9160
SRCS+=	ar2133.c

# + AR9160 (Sowl)
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar9001
SRCS+=	ar9160_attach.c

# + AR9130 - (Sowl) - Embedded (AR913x SoC)
#
# This requires AH_SUPPORT_AR9130 in order to function as some
# register values have shifted for this chipset. Definig this however
# (currently) breaks non-AR9130 chipsets - since this is an embedded
# chipset and no other radios are glued to it, this shouldn't pose a
# problem.
SRCS+=	ar9130_attach.c ar9130_eeprom.c ar9130_phy.c

# AR9002 series chips
# + AR9220/AR9280 - Merlin
.PATH:	${.CURDIR}/../../dev/ath/ath_hal/ar9002
SRCS+=	ar9280.c ar9280_attach.c ar9280_olc.c

# + AR9285 - Kite
SRCS+=	ar9285.c ar9285_reset.c ar9285_attach.c ar9285_cal.c ar9285_phy.c
SRCS+=	ar9285_diversity.c

# + AR9287 - Kiwi
.PATH:  ${.CURDIR}/../../dev/ath/ath_hal
SRCS+=  ah_eeprom_9287.c
.PATH:  ${.CURDIR}/../../dev/ath/ath_hal/ar9002
SRCS+=  ar9287.c ar9287_reset.c ar9287_attach.c ar9287_cal.c ar9287_olc.c

# NB: rate control is bound to the driver by symbol names so only pick one
.if ${ATH_RATE} == "sample"
.PATH:	${.CURDIR}/../../dev/ath/ath_rate/sample
SRCS+=	sample.c
.elif ${ATH_RATE} == "onoe"
.PATH:	${.CURDIR}/../../dev/ath/ath_rate/onoe
SRCS+=	onoe.c
.elif ${ATH_RATE} == "amrr"
.PATH:	${.CURDIR}/../../dev/ath/ath_rate/amrr
SRCS+=	amrr.c
.endif

# DFS
.PATH: ${.CURDIR}/../../dev/ath/ath_dfs/null
SRCS+=	dfs_null.c

CFLAGS+=  -I. -I${.CURDIR}/../../dev/ath -I${.CURDIR}/../../dev/ath/ath_hal

opt_ah.h:
	echo '#define AH_SUPPORT_AR5416 1' > $@

.include <bsd.kmod.mk>

=== sys/boot/arm/uboot/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG=		ubldr
NEWVERSWHAT=	"U-Boot loader" ${MACHINE_ARCH}
BINDIR?=	/boot
INSTALLFLAGS=	-b
WARNS?=		1

# Architecture-specific loader code
SRCS=		start.S conf.c vers.c

LOADER_DISK_SUPPORT?=	yes
LOADER_UFS_SUPPORT?=	yes
LOADER_CD9660_SUPPORT?=	no
LOADER_EXT2FS_SUPPORT?=	no
LOADER_NET_SUPPORT?=	yes
LOADER_NFS_SUPPORT?=	yes
LOADER_TFTP_SUPPORT?=	no
LOADER_GZIP_SUPPORT?=	no
LOADER_BZIP2_SUPPORT?=	no
.if ${MK_FDT} != "no"
LOADER_FDT_SUPPORT=	yes
.else
LOADER_FDT_SUPPORT=	no
.endif

.if ${LOADER_DISK_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_DISK_SUPPORT
.endif
.if ${LOADER_UFS_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_UFS_SUPPORT
.endif
.if ${LOADER_CD9660_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_CD9660_SUPPORT
.endif
.if ${LOADER_EXT2FS_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_EXT2FS_SUPPORT
.endif
.if ${LOADER_GZIP_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_GZIP_SUPPORT
.endif
.if ${LOADER_BZIP2_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_BZIP2_SUPPORT
.endif
.if ${LOADER_NET_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_NET_SUPPORT
.endif
.if ${LOADER_NFS_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_NFS_SUPPORT
.endif
.if ${LOADER_TFTP_SUPPORT} == "yes"
CFLAGS+=	-DLOADER_TFTP_SUPPORT
.endif
.if ${LOADER_FDT_SUPPORT} == "yes"
CFLAGS+=	-I${.CURDIR}/../../fdt
CFLAGS+=	-I${.OBJDIR}/../../fdt
CFLAGS+=	-DLOADER_FDT_SUPPORT
LIBFDT=		${.OBJDIR}/../../fdt/libfdt.a
.endif

.if !defined(NO_FORTH)
# Enable BootForth
BOOT_FORTH=	yes
CFLAGS+=	-DBOOT_FORTH -I${.CURDIR}/../../ficl -I${.CURDIR}/../../ficl/arm
LIBFICL=	${.OBJDIR}/../../ficl/libficl.a
.endif

# Always add MI sources
.PATH:		${.CURDIR}/../../common
.include	"${.CURDIR}/../../common/Makefile.inc"
CFLAGS+=	-I${.CURDIR}/../../common
CFLAGS+=	-I.

CLEANFILES+=	vers.c loader.help

CFLAGS+=	-ffreestanding

LDFLAGS=	-nostdlib -static -T ${.CURDIR}/ldscript.${MACHINE_CPUARCH}

# Pull in common loader code
.PATH:		${.CURDIR}/../../uboot/common
.include	"${.CURDIR}/../../uboot/common/Makefile.inc"
CFLAGS+=	-I${.CURDIR}/../../uboot/common

# U-Boot standalone support library
LIBUBOOT=	${.OBJDIR}/../../uboot/lib/libuboot.a
CFLAGS+=	-I${.CURDIR}/../../uboot/lib
CFLAGS+=	-I${.OBJDIR}/../../uboot/lib

# where to get libstand from
CFLAGS+=	-I${.CURDIR}/../../../../lib/libstand/

DPADD=		${LIBFICL} ${LIBUBOOT} ${LIBFDT} ${LIBSTAND}
LDADD=		${LIBFICL} ${LIBUBOOT} ${LIBFDT} -lstand

vers.c:	${.CURDIR}/../../common/newvers.sh ${.CURDIR}/version
	sh ${.CURDIR}/../../common/newvers.sh ${.CURDIR}/version ${NEWVERSWHAT}

loader.help: help.common help.uboot
	cat ${.ALLSRC} | \
	    awk -f ${.CURDIR}/../../common/merge_help.awk > ${.TARGET}

.PATH: ${.CURDIR}/../../forth
FILES=	loader.help

.include <bsd.prog.mk>

=== sys/modules/drm/via/Makefile ===
# $FreeBSD$

.PATH:	${.CURDIR}/../../../dev/drm
KMOD	= via
SRCS	= via_dma.c via_dmablit.c via_drv.c via_irq.c via_map.c via_mm.c \
	via_verifier.c via_video.c
SRCS	+= device_if.h bus_if.h pci_if.h opt_drm.h

.if defined(DRM_DEBUG)
DRM_DEBUG_OPT= "\#define DRM_DEBUG 1"
.endif

.if !defined(DRM_NOLINUX)
DRM_LINUX_OPT= "\#define DRM_LINUX 1"
.endif

opt_drm.h:
	touch opt_drm.h
	echo $(DRM_DEBUG_OPT) >> opt_drm.h
	echo $(DRM_LINUX_OPT) >> opt_drm.h

.include <bsd.kmod.mk>

=== sys/modules/rdma/cma/Makefile ===
# $FreeBSD$

RDMA=	${.CURDIR}/../../../contrib/rdma
.PATH: ${RDMA}

KMOD=  rdma_cma
SRCS=  device_if.h bus_if.h pci_if.h pcib_if.h opt_sched.h
SRCS+= rdma_cma.c 

.include <bsd.kmod.mk>

=== sys/modules/sound/driver/ai2s/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../../dev/sound/macio

KMOD=	snd_ai2s
SRCS=	device_if.h bus_if.h ofw_bus_if.h
SRCS+=	channel_if.h feeder_if.h mixer_if.h
SRCS+=	snapper.c tumbler.c aoa.c i2s.c

.include <bsd.kmod.mk>

=== sys/modules/ata/atapci/chipsets/ataadaptec/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../../../dev/ata/chipsets

KMOD=	ataadaptec
SRCS=	ata-adaptec.c
SRCS+=  opt_ata.h ata_if.h device_if.h bus_if.h pci_if.h

.include <bsd.kmod.mk>

=== debian/changelog ===
kfreebsd-9 (9.0~svn227451-6) unstable; urgency=high

  * Fix kernel-image major number suffix hack.

 -- Robert Millan <rmh@debian.org>  Thu, 01 Dec 2011 22:48:24 +0100

kfreebsd-9 (9.0~svn227451-5) unstable; urgency=medium

  * Use major number for kfreebsd.gz in kernel-image, so that it can be
    installed alongside other kfreebsd versions.

 -- Robert Millan <rmh@debian.org>  Sun, 27 Nov 2011 15:00:39 +0100

kfreebsd-9 (9.0~svn227451-4) unstable; urgency=low

  * Add missing "kernel-image" files in kernel-wedge directory.

 -- Robert Millan <rmh@debian.org>  Tue, 22 Nov 2011 07:21:15 +0100

kfreebsd-9 (9.0~svn227451-3) unstable; urgency=low

  * Actually enable udeb builds.

 -- Robert Millan <rmh@debian.org>  Fri, 18 Nov 2011 23:28:23 +0100

kfreebsd-9 (9.0~svn227451-2) unstable; urgency=low

  * Rewrite 107_mount_update.diff to fix the new problem with same symptoms
    (this time, a regression introduced by upstream rev 220937).
    (Closes: #646957)
  * Fix installability problem on non-kfreebsd platforms.
  * Build udebs for the installer.

 -- Robert Millan <rmh@debian.org>  Fri, 18 Nov 2011 19:58:16 +0100

kfreebsd-9 (9.0~svn227451-1) unstable; urgency=low

  * New upstream snapshot (from releng/9.0 branch).

 -- Robert Millan <rmh@debian.org>  Sun, 13 Nov 2011 01:29:11 +0100

kfreebsd-9 (9.0~svn227337-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Remove gen-ld-u-options / 020_linker.diff kludge, not needed since
    upstream fixed this (r215137).
  * Mark kfreebsd-headers-@version@-@abiname@ as kfreebsd-any.
  * Depend on package providing devd.

 -- Robert Millan <rmh@debian.org>  Wed, 09 Nov 2011 19:02:17 +0100

kfreebsd-9 (9.0~svn226626-2) experimental; urgency=low

  * Remove 907_cpu_class.diff (it breaks FreeBSD userland when running
    in a chroot on Debian kernel).
  * Require ZFS v28 userland (Breaks: zfsutils (<< 8.3~)).
  * Recover 918_delete_key.diff patch from r3199.  (Closes: #605065)

 -- Robert Millan <rmh@debian.org>  Sun, 30 Oct 2011 18:29:05 +0100

kfreebsd-9 (9.0~svn226626-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Fix panic on early boot.  (Closes: #644417)
    - Switch back to GCC 4.4.
    - Turn optimization down to -O1 (901_disable_optimization_2.diff).

  [ Petr Salinger ]
  * Drop 103_stat_pipe.diff, fixed upstream.
  * Add 918_unix_socket_overflow.diff, to fix up breakage in our userland
    after 000_unix_socket_overflow.diff. Closes: #645527.

 -- Robert Millan <rmh@debian.org>  Thu, 27 Oct 2011 20:51:09 +0200

kfreebsd-9 (9.0~svn225873-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Relax grub-common requirement now that ada support has been
    backported to 1.98+20100804-14+squeeze1.

 -- Robert Millan <rmh@debian.org>  Fri, 30 Sep 2011 22:36:58 +0200

kfreebsd-9 (9.0~svn225586-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Thu, 15 Sep 2011 21:52:09 +0200

kfreebsd-9 (9.0~svn225237-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Wed, 31 Aug 2011 22:01:49 +0200

kfreebsd-9 (9.0~svn225037-1) experimental; urgency=low

  * New upstream snapshot.
    - 101_pfsync_ftbfs.diff: Remove (merged).

 -- Robert Millan <rmh@debian.org>  Sat, 20 Aug 2011 17:13:08 +0200

kfreebsd-9 (9.0~svn224698-1) experimental; urgency=low

  * New upstream snapshot.
  * 002_maxpathlen.diff: Fix another FTBFS on hurd-i386.

 -- Robert Millan <rmh@debian.org>  Sun, 07 Aug 2011 20:18:19 +0000

kfreebsd-9 (9.0~svn224609-1) experimental; urgency=low

  * New upstream snapshot.
    - r224582: Implement /proc/swaps.

  * Make regex kludge even more strict.  This should finally fix FTBFS
    on any-i386.
  * Loosen freebsd-utils dependency (8.1-5 already provides proper devd
    support now that #630614 has been backported).
  * 006_mips_i8259_alloc.diff: Fix allocation of i8259 I/O ports on
    mipsel/malta.

 -- Robert Millan <rmh@debian.org>  Wed, 03 Aug 2011 00:53:34 +0200

kfreebsd-9 (9.0~svn224413-1) experimental; urgency=low

  * 003_glibc_dev_aicasm.diff: Add fix for FTBFS on hurd-i386.
  * Add Breaks on libc0.1 << 2.13-11 (see #630695).
  * Disable 007_clone_signals.diff, since we already require eglibc
    2.13-11 or later.  This ensures that the RFTSIGZMB codepath is
    tested.
  * Make regex kludge a bit more strict.  This removes the need for
    200_xen.diff (removed).

 -- Robert Millan <rmh@debian.org>  Tue, 26 Jul 2011 15:25:36 +0200

kfreebsd-9 (9.0~svn224126-1) experimental; urgency=low

  * New upstream snapshot.
    - r224072: Fix initialization of i8259 controller on Malta.
      (Closes: #633618).
    - r224126: Restore binary compatibility for GIO_KEYMAP and PIO_KEYMAP.
      (Closes: #630784).

  [ Robert Millan ]
  * Revert part of 005_linux_cflags.diff which isn't going to be
    accepted by upstream, and caused build breakage on GNU/Linux. Bring
    back needed parts of the sed kludge.
  * Provide "kfreebsd-headers" virtual package in kfreebsd-headers-
    @version@-@abiname@-@flavor@.

 -- Robert Millan <rmh@debian.org>  Sun, 17 Jul 2011 17:03:23 +0200

kfreebsd-9 (9.0~svn223966-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Includes support for RFTSIGZMB flag in rfork().

  [ Robert Millan ]
  * Require freebsd-buildutils (>= 8.2-7).
  * Replace sed kludge with a small patch.
  * Remove 013_ip_packed.diff (remnant from kfreebsd-6 transition in
    2005).
  * Remove 200_xen.diff workaround (no longer needed after sed kludge
    was removed in r3577).

 -- Robert Millan <rmh@debian.org>  Wed, 13 Jul 2011 17:39:10 +0200

kfreebsd-9 (9.0~svn223870-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.

  [ Robert Millan ]
  * Only depend on freebsd-utils and kldutils on [kfreebsd-any].
  * 002_maxpathlen.diff: Fix FTBFS on hurd-i386.


=== debian/control ===
Source: kfreebsd-9
Section: kernel
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-9/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-9/
Build-Depends: debhelper (>= 5.0.0), bzip2, sharutils, flex-old | flex,
 freebsd-buildutils (>= 8.2-7) [!kfreebsd-any] | freebsd-buildutils (>= 7) [kfreebsd-any],
 gcc-4.4, libdb-dev,
 libbsd-dev (>= 0.3.0), pkg-config,
 libsbuf-dev, libsbuf-dev (>= 8.2-2) | kfreebsd-kernel-headers (<< 0.56),
 freebsd-buildutils (>= 8.2-4) [any-mipsel],
 kernel-wedge (>= 2.79) [kfreebsd-any],
Standards-Version: 3.9.2

Package: kfreebsd-source-9.0
Architecture: all
Depends: ${misc:Depends}
Recommends: freebsd-buildutils (>= 7)
Provides: kfreebsd-source-9, kfreebsd-source
Description: source code for kernel of FreeBSD 9.0 with Debian patches
 This package provides the source code for kernel of FreeBSD 9.0, base of
 a GNU/kFreeBSD system.

Package: kfreebsd-headers-9.0-0
Architecture: any
Depends: ${misc:Depends}
Description: Common architecture-specific header files for kernel of FreeBSD 9.0
 This package provides the architecture-specific common kernel header files for
 kernel of FreeBSD 9.0, generally used for building out-of-tree kernel
 modules. To obtain a complete set of headers you also need to install the
 kfreebsd-headers-9.0-0-(flavour) package, matching the flavour of the
 kernel you intend the build for. To obtain such a set for the currently running
 kernel it is sufficient to run a command
 .
 apt-get install kfreebsd-headers-$(uname -r)
 .
 and it will be unpacked in /usr/src/kfreebsd-headers-9.0-0-(flavour)

Package: kfreebsd-image-9.0-0-amd64
Architecture: any-amd64
Depends: ${misc:Depends},
 freebsd-utils (>= 8.1-5) [kfreebsd-any], kldutils (>= 7.1) [kfreebsd-any],
 devd [kfreebsd-any] | freebsd-utils (<< 8.2+ds2-9) [kfreebsd-any],
# Policy-conformant keyboard mappings (see #605777)
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
Conflicts: kfreebsd-loader (<< 5.4-1.3)
# grub-probe versions prior to ada(4) support break postinst
Breaks: grub-common (<< 1.98+20100804-14+squeeze1) [kfreebsd-any],
# AT_* macros break LD_PRELOAD (see #630695)
# Missing support for RFTSIGZMB (see 007_clone_signals.diff)
 libc0.1 (<< 2.13-11) [kfreebsd-any],
# Require ZFS v28 userland
 zfsutils (<< 8.3~) [kfreebsd-any],
Provides: kfreebsd-image-9, kfreebsd-image
Recommends: 
Description: kernel of FreeBSD 9.0 image
 This package provides the binary image and pre-built loadable modules for
 the kernel of FreeBSD 9.0, base of a GNU/kFreeBSD system.
 .
 This package is compiled for a amd64-class machine.

Package: kfreebsd-image-9-amd64
Architecture: any-amd64
Depends: kfreebsd-image-9.0-0-amd64, ${misc:Depends}
Description: kernel of FreeBSD 9 image (meta-package)
 This package depends on the latest binary image for kernel of FreeBSD 9 on
 amd64-class machines.

Package: kfreebsd-headers-9.0-0-amd64
Architecture: any-amd64
Provides: kfreebsd-headers-9, kfreebsd-headers
Depends: kfreebsd-headers-9.0-0 (= ${binary:Version}), ${misc:Depends}
Description: header files for kernel of FreeBSD 9.0
 This package provides the header files for kernel of FreeBSD 9.0, generally
 used for building out-of-tree kernel modules. These files are going to be
 installed into /usr/src/kfreebsd-headers-9.0-0-amd64, and can be
 used for building modules that load into the kernel provided by the
 kfreebsd-image-9.0-0-amd64 package.

Package: kfreebsd-headers-9-amd64
Architecture: any-amd64
Depends: kfreebsd-headers-9.0-0-amd64, ${misc:Depends}
Description: header files for kernel of FreeBSD 9 (meta-package)
 This package depends on the latest header files for kernel of FreeBSD 9 on
 amd64-class machines.


Package: kernel-image-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: kernel-image, ata-modules, cdrom-core-modules, core-modules, crc-modules, ext2-modules, ide-core-modules, ide-modules, input-modules, mmc-core-modules, mouse-modules, nic-pcmcia-modules, nic-usb-modules, nls-core-modules, pata-modules, pcmcia-modules, pcmcia-storage-modules, rtc-modules, scsi-common-modules, serial-modules, ufs-modules, uinput-modules, usb-modules, usb-serial-modules, usb-storage-modules
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: extra
Description: FreeBSD kernel binary image for the Debian installer
 This package contains the FreeBSD kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-9.0-0-amd64-di, nic-shared-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.

Package: nic-wireless-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: nic-wireless-modules
Depends: kernel-image-9.0-0-amd64-di, nic-shared-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.
 Includes crypto modules only needed for wireless (WEP).

Package: nic-shared-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.

Package: serial-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: optional
Description: Serial drivers
 This package contains serial drivers for the kernel.

Package: ppp-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-9.0-0-amd64-di, serial-modules-9.0-0-amd64-di, zlib-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: optional
Description: PPP drivers
 This package contains PPP drivers for the kernel.

Package: cdrom-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: cdrom-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: optional
Description: Esoteric CDROM drivers
 This package contains esoteric CDROM drivers for the kernel.

Package: scsi-core-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: scsi-core-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.

Package: scsi-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-9.0-0-amd64-di, scsi-core-modules-9.0-0-amd64-di, parport-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.

Package: scsi-extra-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: scsi-extra-modules
Depends: scsi-modules-9.0-0-amd64-di, scsi-core-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.
 This includes SCSI RAID drivers, and some of the less common SCSI
 controllers.

Package: plip-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-9.0-0-amd64-di, parport-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: optional
Description: PLIP drivers
 This package contains PLIP drivers for the kernel.

Package: floppy-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: floppy-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: Floppy driver
 This package contains the floppy driver for the kernel.

Package: loop-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: loop-modules
Depends: kernel-image-9.0-0-amd64-di, zlib-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: ipv6-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the kernel.

Package: nls-core-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: nls-core-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: extra
Description: Core NLS support
 This package contains basic NLS support modules for the kernel.

Package: ext2-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: ext2-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: EXT2 filesystem support
 This package contains the EXT2 filesystem module for the kernel.

Package: isofs-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: isofs-modules
Depends: kernel-image-9.0-0-amd64-di, nls-core-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: ntfs-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: ntfs-modules
Depends: kernel-image-9.0-0-amd64-di, nls-core-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: extra
Description: NTFS filesystem support
 This package contains the NTFS file system module for the kernel.

Package: reiserfs-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: extra
Description: Reiser filesystem support
 This package contains the Reiser filesystem module for the kernel.

Package: xfs-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: xfs-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: standard
Description: XFS filesystem support
 This package contains the XFS filesystem module for the kernel.

Package: fat-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-9.0-0-amd64-di, nls-core-modules-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: extra
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the kernel.

Package: zfs-modules-9.0-0-amd64-di
XC-Package-Type: udeb
Provides: zfs-modules
Depends: kernel-image-9.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 9.0-0-amd64
Section: debian-installer
Priority: extra
Description: ZFS filesystem support

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
cpu		:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
config_files	:= $(wildcard debian/arch/$(cpu)/*.config)
flavours	:= $(config_files:debian/arch/$(cpu)/%.config=%)
configfile	:= DEBCUSTOM
abiname		:= 0
ld_target	:= $(shell ld --help | sed -ne "s/[^ :]*: supported targets: \([^ ]*\) .*/\1/p")
gcc_version	:= 4.4

ifeq ($(cpu), mipsel)
kfreebsd_cpu	:= mips
else
kfreebsd_cpu	:= $(cpu)
endif

#SVN		:= http://svn.freebsd.org/base/release/$(version).0
SVN		:= http://svn.freebsd.org/base/releng/$(version)
#SVN		:= http://svn.freebsd.org/base/stable/$(major)
#SVN		:= http://svn.freebsd.org/base/head
SOURCE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-source-$(version)
IMAGE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-image-$(version)-$(abiname)
HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-headers-$(version)-$(abiname)
SRC_TAR		:= kfreebsd-source-$(version).tar.xz
SRC_DIR		:= kfreebsd-source-$(version)
HEADERS_DIR	:= kfreebsd-headers-$(version)-$(abiname)
FLAVOR_DIR	:= flavor-$(version)-$(abiname)
ORIG_DIR	:= kfreebsd-$(major)-$(tar_version)
ORIG_TAR	:= kfreebsd-$(major)_$(tar_version).orig.tar.gz
MAKE		:= make MACHINE_ARCH=$(kfreebsd_cpu) CC=gcc-$(gcc_version) WERROR=
PATH		:= $(CURDIR)/config:/usr/lib/freebsd:$(PATH)

get-orig-source:
	rm -rf $(ORIG_DIR)
	for i in sys usr.sbin/config ; do \
		svn export -r $(svn_revision) $(SVN)/$$i $(ORIG_DIR)/$$i ; \
	done
	cd $(ORIG_DIR) && $(CURDIR)/debian/prune.sh
	tar --numeric-owner --owner 0 --group 0 -czf ../$(ORIG_TAR) $(ORIG_DIR)
	rm -rf $(ORIG_DIR)

control: clean
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		KW_CONFIG_DIR=debian/arch/$$arch/installer ; \
		if test -e $$KW_CONFIG_DIR ; then \
			for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
				flavor=$${config/.config/} ; \
				if test -e debian/arch/$$arch/$$flavor.installer ; then \
					echo "kfreebsd-$$arch $(version)-$(abiname) $$flavor $(version)-$(abiname)-$$flavor - -" ; \
				fi ; \
			done > $$KW_CONFIG_DIR/kernel-versions ; \
		fi ; \
		echo ; \
	done
	sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@gcc_version@/$(gcc_version)/g" \
		$(CURDIR)/debian/control.in > $(CURDIR)/debian/control
	echo >> $(CURDIR)/debian/control
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
			flavor=$${config/.config/} ; \
			recommends= ; \
			test -f $(CURDIR)/debian/arch/$$arch/$$flavor.defines && recommends=`awk '/^Recommends: / {print $$2}' $(CURDIR)/debian/arch/$$arch/$$flavor.defines` ; \
			sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@arch@/$$arch/g" -e "s/@recommends@/$$recommends/g" \
				$(CURDIR)/debian/control.flavor.in ; \
			echo ; \
		done ; \
		export KW_CONFIG_DIR=debian/arch/$$arch/installer ; \
		if test -e $$KW_CONFIG_DIR/kernel-versions ; then \
			kernel-wedge gen-control ; \
		fi ; \
		echo ; \
	done >> $(CURDIR)/debian/control

clean:
	dh_testdir
	dh_testroot
	rm -rf src kfreebsd-source-* flavor-* config
	rm -f debian/kfreebsd-image-*.preinst
	rm -f debian/kfreebsd-image-*.prerm
	rm -f debian/kfreebsd-image-*.postinst
	rm -f debian/kfreebsd-image-*.postrm

	rm -f *-stamp
	dh_clean

src: src-stamp
src-stamp:
	mkdir $(CURDIR)/src
	cp -af $(CURDIR)/sys $(CURDIR)/usr.sbin $(CURDIR)/src

	set -e ; find src/sys -type f | (while read i ; do \
		sed -i $$i \
		-e 's/defined\s*(\s*__FreeBSD__\s*)/1/g' \
		-e 's/#\s*ifdef\s*__FreeBSD__\(\s\|$$\)/#if 1/g' \
		-e 's/#\s*ifndef\s*__FreeBSD__\(\s\|$$\)/#if 0/g' \
		-e 's/__FreeBSD__/$(major)/g' \
		\
		-e 's/defined\s*(\s*\(__linux__\|linux\)\s*)/0/g' \
		-e 's/#\s*ifdef\s*\(__linux__\|linux\)\(\s\|$$\)/#if 0/g' \
		-e 's/#\s*ifndef\s*\(__linux__\|linux\)\(\s\|$$\)/#if 1/g' \
	; done)

	touch src-stamp

build-indep: build-indep-stamp
build-indep-stamp: src
	dh_testdir

	cp -af src $(SRC_DIR)

	touch build-indep-stamp

build: build-arch build-indep

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	mkdir -p $(SOURCE_PACKAGE)/usr/src
	chown -R root.src $(SRC_DIR)
	tar cfJ $(SOURCE_PACKAGE)/usr/src/$(SRC_TAR) $(SRC_DIR)

	touch install-indep-stamp

config: config-stamp
config-stamp: src
	rm -rf config
	cp -af src/usr.sbin/config config
	CFLAGS="-D__va_list=__builtin_va_list $(shell pkg-config --cflags libbsd-overlay) -lbsd" $(MAKE) -C config
	touch $@

build-arch: $(foreach flavor,$(flavours),build-flavor-$(flavor)-stamp)
src-flavor-%-stamp: src config
	cp -af src $(FLAVOR_DIR)-$*
	touch $@
build-flavor-%-stamp: src-flavor-%-stamp
	# Add the abiname and the flavor to the kernel version
	sed -i -e 's/^RELEASE=".*"/RELEASE="$(version)-$(abiname)-$*"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh

	# Change ident to the kernel version
	sed -i -e 's/^i=.*/i="Debian $* ($(full_version))"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh

	# Set /lib/modules/${RELEASE} as module dir
	sed -i -e 's,^KODIR?=.*,KODIR="/lib/modules/$(version)-$(abiname)-$*",g' $(FLAVOR_DIR)-$*/sys/conf/kern.pre.mk
	sed -i -e '/^static char linker_path/s,".*","/lib/modules/$(version)-$(abiname)-$*",g' $(FLAVOR_DIR)-$*/sys/kern/kern_linker.c

	# Always set explicit link target to match with ld's implicit target (needed
	# to build on non-kFreeBSD)
	sed -i \
		-e 's/elf32-i386-freebsd/$(ld_target)/g' \
		-e 's/elf64-x86-64-freebsd/$(ld_target)/g' \
		-e 's/elf32-tradlittlemips-freebsd/$(ld_target)/g' \
		-e 's/elf32-tradbigmips-freebsd/$(ld_target)/g' \
	$(FLAVOR_DIR)-$*/sys/conf/ldscript.$(kfreebsd_cpu)

	# Configure the kernel
	cp debian/arch/$(cpu)/$*.config $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf/
	ln -sf $*.config $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf/$(configfile)
	cd $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf \
		&& config $(configfile)

	# Build it
	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/compile/$(configfile)/ depend
	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/compile/$(configfile)/

	touch build-flavor-$*-stamp

install-common-stamp: src
	dh_testdir
	dh_testroot
	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)
	cd src \
		&& find . -type f -name "*.h" -not -regex ".*modules.*" -not -regex ".*sys/$(kfreebsd_cpu)/.*" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) \;

	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)/conf
	cd src && cp --parents \
		sys/conf/kern.mk \
		sys/conf/kmod.mk \
		sys/conf/kmod_syms.awk \
		sys/kern/bus_if.m \
		sys/dev/pci/pci_if.m \
		sys/kern/device_if.m \
		sys/kern/vnode_if.src \
		sys/tools/vnode_if.awk \
		sys/tools/makeobjops.awk \
		$(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)

	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -exec chmod 644 {} \;
	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -name "*.awk" -exec chmod 755 {} \;

	touch install-common-stamp

install-arch: $(foreach flavor,$(flavours),install-flavor-$(flavor)-stamp) install-udeb-stamp
install-flavor-%-stamp: install-common-stamp build-flavor-%-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -pkfreebsd-image-$(version)-$(abiname)-$*

	mkdir -p $(IMAGE_PACKAGE)-$*/{boot,lib/modules/$(version)-$(abiname)-$*}

	# make the install target happy
